<?php defined('_JEXEC') or die('Restricted access');

/**
 * @version 2.0 $Id: ldcomment.php,v 1.7 2009-12-01 19:53:41 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

class TableLdcomment extends JTable {

	public $rev_id = 0;
	public $link_id = 0;
	public $user_id = 0;
	public $type = 0;
	public $guest_name = null;
	public $rev_title = null;
	public $rev_text = null;
	public $rev_date = null;
	public $rev_approved = 0;
	public $published = 0;
	public $checked_out = 0;
	public $checked_out_time = 0;

	public function __construct(& $db) {
		parent::__construct('#__ldcomment', 'id', $db);
	}

	public function bind($array, $ignore = '') {
		return parent::bind($array, $ignore);
	}

	public function check() {
		if (trim($this->rev_title) == '') {
			$this->setError(JText::_('WEBCOMMENT ITEM MUST HAVE A TITLE'));
			return false;
		}

		if (trim($this->rev_text) == '') {
			$this->setError(JText::_('WEBCOMMENT ITEM MUST HAVE A TEXT'));
			return false;
		}
		return true;
	}
	
	public function fixApprovedForAutoApproved($autoApproved){
		$this->rev_approved=$autoApproved;
	}
	
}
